Description

It seems that assigning a CTRL+Q shortcut to "exit" resulted collision with "search symbol". Personally, I think we should replace "search

symbol" shortcut key with CTRL+W. It is nice combination, because it is free, fast and similar to previous one.

P.S.

Moreover I enclose small cosmetic "navigator" fix.

History

#1 - 10/05/2013 01:41 PM - Zbigniew Rebacz

- Status changed from New to Ready for QA

#2 - 10/05/2013 04:10 PM - Jan Dolinár

It seems that assigning a CTRL+Q shortcut to "exit" resulted collision with "search symbol". Personally, I think we should replace "search symbol"

shortcut key with CTRL+W. It is nice combination, because it is free, fast and similar to previous one.

I agree with Ctrl+Q for exit, but Ctrl+W is most commonly used for closing tab/file (currently Ctrl+U in TheIDE). If we correct both the closing shortcuts, it

would leave the Ctrl+U free so it could be used for search symbol (unless there is some better option). What do you think?

#3 - 10/06/2013 07:59 PM - Miroslav Fidler

- Status changed from Ready for QA to Approved

#4 - 10/08/2013 03:24 AM - Zbigniew Rebacz

- Status changed from Approved to Rejected

Jan, I fully support your position, but there is one big problem with current upp version. Now we have collision with CTRL+U. We need to modify following

lines as well (ide.key):

KEY

KEY

Insted of:

KEY

KEY

This solution should break collision chain.

#5 - 10/08/2013 03:28 AM - Zbigniew Rebacz
- File ide.key added

I don't know what happend with my code. I put it in a file form.

#6 - 10/08/2013 03:29 AM - Zbigniew Rebacz

- File deleted (ide.key)

#7 - 10/08/2013 08:36 PM - Zbigniew Rebacz

- Status changed from Rejected to Ready for QA

#8 - 10/11/2013 01:33 PM - Miroslav Fidler

Done...

#9 - 10/11/2013 07:37 PM - Zbigniew Rebacz

- Status changed from Ready for QA to Approved

Files

Navigator.cpp 3.03 KB 10/05/2013 Zbigniew Rebacz

ide.key 4.25 KB 10/08/2013 Zbigniew Rebacz
